Subject: Can't compile Mono
To: None <>
From: Sylvester F <>
List: tech-pkg
Date: 03/31/2005 16:40:56

I'm trying to compile Mono 1.1.5 from pkgsrc updated from cvs this morning.  
NetBSD 2.0 on i386.
It fails:

cc -O2 -I/usr/pkgsrc/lang/mono/work/.buildlink/include -fno-strict-aliasing 
-g -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations 
-Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wpointer-arith 
-Wno-cast-qual -Wcast-align -Wwrite-strings -Wl,-R/usr/pkg/lib -pthread -o 
pedump pedump.o -pthread -Wl,--export-dynamic  
-L/usr/pkgsrc/lang/mono/work/.buildlink/lib ./.libs/libmonoruntime.a 
../io-layer/.libs/libwapi.a ../utils/.libs/libmonoutils.a 
/usr/pkgsrc/lang/mono/work/.buildlink/lib/ -licui18n -licuuc 
-licudata -lintl -lpthread -lm -Wl,--rpath 
-Wl,/usr/pkgsrc/lang/mono/work/.buildlink/lib -Wl,--rpath 
ld: cannot find -licui18n
gmake[3]: *** [pedump] Error 1
gmake[3]: Leaving directory 
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/usr/pkgsrc/lang/mono/work/mono-1.1.5/mono'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/pkgsrc/lang/mono/work/mono-1.1.5'
gmake: *** [all] Error 2
*** Error code 2

make: stopped in /usr/pkgsrc/lang/mono
===> There was an error during the ``build'' phase.
===> Please investigate the following for more information:
===>      * log of the build
===>      * /usr/pkgsrc/lang/mono/work/.work.log
*** Error code 1

It looks like not all necessary libraries are in .buildlink/lib.  Anyone 
managed in compiling mono?

- S

Don't just search. Find. Check out the new MSN Search!